ARTEMIS-2813 Fix SaslKrb5LDAPSecurityTest failing on JDK 11
authorTimothy Bish <tabish121@gmail.com>
Thu, 13 May 2021 21:23:42 +0000 (17:23 -0400)
committerRobbie Gemmell <robbie@apache.org>
Fri, 14 May 2021 09:07:38 +0000 (10:07 +0100)
commit9e70b263686ad6f0445eecf0e98dbcbf73833302
tree93f98bd50ac15470e8c0c9df580c408bfcd29c6e
parent9513405020b413cd182d8b819572bb050223984a
ARTEMIS-2813 Fix SaslKrb5LDAPSecurityTest failing on JDK 11

Fixes issues with SaslKrb5LDAPSecurityTest by updating to latest Apache Directory
release which required some updates to the test to fix deprecation warnings and an
updates to commons.lang to fix issues with new namespace for StringUtils that will
work on JDK 8+ only.
pom.xml
tests/integration-tests/pom.xml
tests/integration-tests/src/test/java/org/apache/activemq/artemis/tests/integration/amqp/SaslKrb5LDAPSecurityTest.java
tests/integration-tests/src/test/java/org/apache/activemq/artemis/tests/integration/persistence/metrics/JournalPendingMessageTest.java
tests/integration-tests/src/test/java/org/apache/activemq/artemis/tests/integration/stomp/StompWebSocketMaxFrameTest.java